Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.configuration
Class WMSConfiguration_1_3_0

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
          org.deegree.ogcwebservices.wms.capabilities.WMSCapabilities
              org.deegree.ogcwebservices.wms.capabilities.WMSCapabilities_1_3_0
                  org.deegree.ogcwebservices.wms.configuration.WMSConfiguration_1_3_0

All Implemented Interfaces:
  Serializable, WMSConfigurationType

    public class WMSConfiguration_1_3_0

extends WMSCapabilities_1_3_0
implements WMSConfigurationType

`WMSConfiguration_1_3_0` is an implementation of the `WMSConfigurationType` interface, encapsulating the data required to configure a WMS 1.3.0.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wms.capabilities.WMSCapabilities
`exceptions`

Constructor Summary
`WMSConfiguration_1_3_0(String version, String updateSequence, ServiceIdentification serviceIdentification, ServiceProvider serviceProvider, OperationsMetadata metadata, Layer layer, WMSDeegreeParams deegreeParams, URL baseURL, int layerLimit, List<String> exceptions)` Generates a new `WFSConfiguration` instance from the given parameters.

Method Summary
`String` | `calculateVersion(String version)`
`URL` | `getBaseURL()`
`WMSDeegreeParams` | `getDeegreeParams()`
`void` | `setDeegreeParams(WMSDeegreeParams deegreeParams)`

Methods inherited from class org.deegree.ogcwebservices.wms.capabilities.WMSCapabilities_1_3_0
`getLayerLimit, getMaxHeight, getMaxWidth`

Methods inherited from class org.deegree.ogcwebservices.wms.capabilities.WMSCapabilities
`getExceptions, getLayer, getLayer, getLayerByTitle, getOperationMetadata, getServiceIdentification, getServiceProvider, getUserDefinedSymbolization, hasDoubleLayers, setLayer, setOperationMetadata, setServiceIdentification, setServiceProvider, setUserDefinedSymbolization`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
`getUpdateSequence, getVersion, setUpdateSequence, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.deegree.ogcwebservices.wms.configuration.WMSConfigurationType
`getExceptions, getLayer, getLayer, getOperationMetadata, getServiceIdentification, getUpdateSequence, getVersion`

Constructor Detail

### WMSConfiguration_1_3_0

    public WMSConfiguration_1_3_0(String version,
                                  String updateSequence,
                                  ServiceIdentification serviceIdentification,
                                  ServiceProvider serviceProvider,
                                  OperationsMetadata metadata,
                                  Layer layer,
                                  WMSDeegreeParams deegreeParams,
                                  URL baseURL,
                                  int layerLimit,
                                  List<String> exceptions)

  Generates a new `WFSConfiguration` instance from the given parameters.

  Parameters:
    `version` -
    `updateSequence` -
    `serviceIdentification` -
    `serviceProvider` -
    `metadata` -
    `layer` -
    `deegreeParams` -
    `baseURL` -
    `layerLimit` -
    `exceptions` -

Method Detail

### getDeegreeParams

    public WMSDeegreeParams getDeegreeParams()

  Specified by:
    `getDeegreeParams` in interface `WMSConfigurationType`
  Returns:
    Returns the deegreeParams.

### setDeegreeParams

    public void setDeegreeParams(WMSDeegreeParams deegreeParams)

  Specified by:
    `setDeegreeParams` in interface `WMSConfigurationType`
  Parameters:
    `deegreeParams` - The deegreeParams to set.

### getBaseURL

    public URL getBaseURL()

  Specified by:
    `getBaseURL` in interface `WMSConfigurationType`
  Returns:
    Gets the base URL which is used to resolve file resource (XSL sheets).

### calculateVersion

    public String calculateVersion(String version)

  Specified by:
    `calculateVersion` in interface `WMSConfigurationType`
  Parameters:
    `version` - the input version
  Returns:
    the nearest supported version according to the version negotiation rules.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org